<?php /* Talian Google AdSense Code */

/*****************************************************************
** Thanks to TheDuck www.utheguru.com for the concept below,    **
** great idea. Each ad unit can be set by changing the numbers  **
** after it. The two number separated by a comma represent the  **
** style and whether you want the ad displays as image, text    **
** or no preference respectively. The codes are below...        **
*****************************************************************/

/*************************************************
** The first number represents the type of ad	**
** you wish to have.. the codes are:-	        **
**			     			                    **
**      1 = Leaderboard(728x90)                 **
**      2 = Banner (468x60)                     **
**      3 = Button (125x125)                    **
**      4 = Half Banner (234x60)                **
**      5 = Skyscraper (120x600)                **
**      6 = Wide Skyscraper (160x600)           **
**      7 = Small Rectangle (180x150)           **
**      8 = Vertical Banner (120x240)           **
**      9 = Medium Rectangle (300x250)          **
**      10 = Square (250 x 250)                 **
**      11 = Large Rectangle (336x280)          **
**      12 = Small Square (200x200)             **
**      Search Based Ads                        **
**      21 = 4 Links (120x90)                   **
**      22 = 5 Links (120x90)                   **
**      23 = 4 Links (160x90)                   **
**      24 = 5 Links (160x90)                   **
**      25 = 4 Links (180x90)                   **
**      26 = 5 Links (180x90)                   **
**      27 = 4 Links (200x90)                   **
**      28 = 5 Links (200x90)                   **
**      29 = 4 Links (468x15)                   **
**      30 = 5 Links (468x15)                   **
**      31 = 4 Links (728x15)                   **
**      32 = 5 Links (728x15)                   **
*************************************************/

/*****************************************************************
**	The second number represents how you want the add displayed	**
**	0 = image only			                                	**
**	1 = Text Only		                                		**
**	2 = Don't Care (this is the default)	                    **
**	All Search Based Ads (21 to 32) should be left as 1	        **
*****************************************************************/

//IN THE SETTINGS:-
//DIGIT 1 = SIZE OF AD i.e. 10 = Square (250 x 250)
//DIGIT 2 = TYPE OF AD i.e. 1 = Text Only
//DIGIT 3 = HIDE AD (1=HIDE, DEFAULT=0)
//DIGIT 4 = DO NOT MODIFY THIS (TRIM FOR IE)

/* The ad you see within the content of all pages (recommend 336x280 (number 11) ad format for maximum revenue). Not really suitable for wide ads like 468x60. */
$FirstAd = array(11,2,0,0,1);

/* Index page, near the bottom just above the numbered navigation pages. */
$MainBottom = array(2,2,0,0,3);

/* Sidebar ad found on all pages. For an AdSense built site use Wide Skyscraper (160x600), for others think small squares. There are two options via the widgets menu, one with and one without a clear background (only use 1 unless you disable another content ad unit). */
$SidebarAd = array(6,2,0,0,2);

/* Single blog posts ad above the "Leave a Comment" header and below the last comment (if no comment below the Trackback link). A large 336x280 (11) tends to do well here. */
$SingleBottom = array(2,2,0,0,3);

/* Page posts, like your about page (if you have one). */
$PageFooter = array(2,2,0,0,3);

/* Category archives, bottom ad (same as $MainBottom above really). */
$CatBottom = array(2,2,0,0,3);

/* Search, bottom ad (same as $MainBottom above really). */
$SearchBottom = array(2,2,0,0,3);

/* The ads below relate to the search/link based ads that open to a Google search result. */

/* Sidebar ads, there are two options via the widgets menu, one with and one without a clear background (only use 1 unless you disable another search type ad). */
$SidebarAdTXT = array(26,1,0,0,5);

/* Header ad shown above the banner image area on all pages. */
$HeaderAd = array(30,1,0,0,6);

/* Bottom of the first post on the home and other archive pages (Categories, Tags etc...). */
$FirstAdLink = array(29,1,0,0,4);

/* Single blog posts ad below the Comment area. */
$SingleAdLink = array(29,1,0,0,4);
?>