<div class="comment-temps">

<?php // Do not delete these lines
if (!empty($_SERVER['SCRIPT_FILENAME']) && 'comments.php' == basename($_SERVER['SCRIPT_FILENAME']))
die ('Please do not load this page directly. Thanks!');

if (!empty($post->post_password)) { // if there's a password
if ($_COOKIE['wp-postpass_' . COOKIEHASH] != $post->post_password) {  // and it doesn't match the cookie
?>

<h3><?php _e('This post is password protected. Enter the password to view comments', 'default'); ?>.</h3>

<?php
return;
}
}

if (function_exists('wp_list_comments')):
//WP 2.7 Comment Loop
if ( have_comments() ) : ?>

<?php if ( ! empty($comments_by_type['comment']) ) :
$count = count($comments_by_type['comment']); ?>
<div class="clear">&nbsp;</div>
<h3 id="comments"><?php printf(__('%s responses to', 'default'), $count); ?> <?php the_title(); ?></h3>

<div class="navigation">
<?php paginate_comments_links(); ?>
</div>

<ul class="list-4">
<?php wp_list_comments('type=comment&callback=mytheme_comment'); ?>
</ul>
<?php endif; ?>

<div class="navigation">
<?php paginate_comments_links(); ?>
</div>

<?php if ( ! empty($comments_by_type['pings']) ) :
$countp = count($comments_by_type['pings']); ?>
<h3 id="trackbacks" class="block"><?php printf(__('%s Trackbacks &#47; Pingbacks to <?php the_title(); ?>', 'default'), $countp); ?></h3>

<ul class="list-4">
<?php wp_list_comments('type=pings&callback=mytheme_ping'); ?>
</ul>
<?php endif; ?>

<?php else : // this is displayed if there are no comments so far ?>
<?php if ('open' == $post->comment_status) :
// If comments are open, but there are no comments.
else : ?><p class="nocomments"><?php _e('Comments are closed on', 'default'); ?> <?php the_title(); ?>.</p>
<?php endif;
endif;
else:
//WP 2.6 and older Comment Loop
/* This variable is for alternating comment background */

/* This variable is for alternating comment background */
$oddcomment = 'class="alt" ';
?>

<!-- You can start editing here. -->
<?php if ($comments) : ?>
<div class="clear">&nbsp;</div>
<h3 id="comments" class="block"><?php comments_number( __('No responses to', 'default'), __('One response to', 'default'), __('% responses to', 'default'));?> <?php the_title(); ?></h3>
<ul class="list-4">

<?php foreach ($comments as $comment) : ?>

<li <?php echo $oddcomment; ?>id="comment-<?php comment_ID() ?>">
<div class="com-header">
<?php echo get_avatar( $comment, 48); ?>

<p class="tp">
<span><?php comment_author_link() ?></span>
<?php if ($comment->comment_approved == '0') : ?>
<em><?php _e('Your comment is awaiting moderation', 'default'); ?>.</em>
<?php endif; ?>

<small class="commentmetadata">
<a href="#comment-<?php comment_ID() ?>">Comment on <?php the_title(); ?> : <?php printf( __('%1$s at %2$s', 'default'), get_comment_time(__('F jS, Y', 'default')), get_comment_time(__('H:i', 'default')) ); ?></a>
<?php edit_comment_link(__('Edit', 'default'),'&nbsp;&nbsp;',''); ?>
</small>
</p>
<div class="clear"></div>
</div>

<?php comment_text() ?>
</li>

<?php
/* Changes every other comment to a different class */
$oddcomment = ( empty( $oddcomment ) ) ? 'class="alt" ' : '';
?>

<?php endforeach; /* end for each comment */ ?>

</ul>

<?php else : // this is displayed if there are no comments so far ?>

<?php if ('open' == $post->comment_status) : ?>
<!-- If comments are open, but there are no comments. -->

<?php else : // comments are closed ?>
<!-- If comments are closed. -->
<p class="nocomments"><?php _e('Comments are closed on', 'default'); ?> <?php the_title(); ?>.</p>
 
<?php endif; ?>
<?php endif; ?>
<?php endif; ?>

<div class="reply">

<?php if ('open' == $post->comment_status) : ?>

<h4 id="respond"><?php _e('Leave a reply to', 'default'); ?> <?php the_title(); ?></h4>
<?php if (function_exists('cancel_comment_reply_link')) { 
//2.7 comment loop code ?>

<?php } ?>

<?php if ( get_option('comment_registration') && !$user_ID ) : ?>
<?php
$login_link = get_option('siteurl') . '/wp-login.php?redirect_to=' . urlencode(get_permalink());
printf(__('You must be<form method="post" action="%s"><div><button class="bnofollow" title="logged in">logged in</button></div></form> to post a comment.', 'default'), $login_link);
#printf(__('You must be <a href="%s">logged in</a> to post a comment.', 'default'), $login_link);
?>

<?php else : ?>

<form action="<?php echo get_option('siteurl'); ?>/wp-comments-post.php" method="post" id="commentform">
<?php if ( $user_ID ) : 
if (function_exists('wp_logout_url')) {
$logout_link = wp_logout_url();
} else {
$logout_link = get_option('siteurl') . '/wp-login.php?action=logout';
} ?>

<p><?php _e('Logged in as', 'default'); ?> <a href="<?php echo get_option('siteurl'); ?>/wp-admin/profile.php"><?php echo $user_identity; ?></a>. <a href="<?php echo $logout_link ?>" title="<?php _e('Log out of this account', 'default'); ?>"><?php _e('Log out', 'default'); ?> &raquo;</a></p>

<?php else : ?>
<div id="comment-box">
<p><input type="text" name="author" id="author" value="<?php echo $comment_author; ?>" size="22" tabindex="1" />
<label for="author" class="author"><?php _e('Name', 'default'); ?> <?php if ($req) echo __('(required)', 'default'); ?></label></p>
<p><input type="text" name="email" id="email" value="<?php echo $comment_author_email; ?>" size="22" tabindex="2" />
<label for="email" class="email"><?php _e('Mail (not published)', 'default'); ?> <?php if ($req) echo __('(required)', 'default'); ?></label></p>
<?php if(authorlinkon()==1){ ?><p><input type="text" name="url" id="url" value="<?php echo $comment_author_url; ?>" size="22" tabindex="3" />
<label for="url" class="website"><?php _e('Website', 'default'); ?></label></p><?php } ?>
</div>
<?php endif; ?>

<?php if (function_exists('cancel_comment_reply_link')) { 
//2.7 comment loop code ?>
<p>
<?php comment_id_fields(); ?>
</p>
<?php } ?>

<div id="comment-area">
<p><textarea name="comment" id="comment" rows="10" tabindex="4" cols="<?php if (get_option('tn_column_number') == '3 columns') { echo '70'; } else { echo '92'; }?>"></textarea></p>
<p><input name="submit" type="submit" id="submit" tabindex="5" value="<?php _e('Submit Comment', 'default'); ?>" />
<input type="hidden" name="comment_post_ID" value="<?php echo $id; ?>" />
</p>
<?php do_action('comment_form', $post->ID); ?>
</div>
</form>

<?php endif; // If registration required and not logged in ?>
<?php endif; // if you delete this the sky will fall on your head ?>
</div>
</div>