<?php
/*
Template Name: Sitemap with Recent Comments
*/
?>
<?php get_header(); ?>
<div id="content_talia">
<div class="right-content-talia">
<div id="left-post">
<?php include(TEMPLATEPATH."/landscape-images.php"); ?>
<div id="post-entry">

<?php if(have_posts()) : ?>
<!-- google_ad_section_start -->
<div class="post-meta" id="archives-sitemap">

<h1><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h1>

<div class="post-content">
<?php /* AdSense Code Start */ ?>
<?php include("float-adsense.php"); ?>
<?php /* AdSense Code End */ ?>

<p>Most Recent 100 Comments on the <?php bloginfo('name'); ?> website</p>

<?php mw_recent_comments(100, false, 100, 20, 40, 'all', '<p><strong>Comment %comid% by %author_name%</strong> on %date% :<br /><a href="%permalink%">%title%</a></p>','d.m.y, H:i'); ?>

</div>

<div class="post-fixed"></div>

<h2><?php bloginfo('name'); ?> Sitemap</h2>

<div class="post-content">
<ul>
<?php wp_get_archives('type=alpha&limit=1000'); ?>
</ul>

<ul>
<?php wp_list_pages('sort_column=menu_order&title_li='); ?>
</ul>

<!-- google_ad_section_end -->
</div>

<div class="post-fixed"></div>

<?php /* AdSense Code Start */ ?><?php include ("adsense.php"); ?>
<div style="padding:10px; text-align:center;">
<?php InsertAdvert($SingleBottom);?>
</div><?php /* AdSense Code End */ ?>

<h3>Available RSS Feeds:</h3>

<div class="post-content">
<ul>
<li><a href="<?php bloginfo('rdf_url'); ?>" title="RDF/RSS 1.0 feed"><acronym title="Resource Description Framework">RDF</acronym>/<acronym title="Really Simple Syndication">RSS</acronym> 1.0 feed</a></li>
<li><a href="<?php bloginfo('rss_url'); ?>" title="RSS 0.92 feed"><acronym title="Really Simple Syndication">RSS</acronym> 0.92 feed</a></li>
<li><a href="<?php bloginfo('rss2_url'); ?>" title="RSS 2.0 feed"><acronym title="Really Simple Syndication">RSS</acronym> 2.0 feed</a></li>
<li><a href="<?php bloginfo('atom_url'); ?>" title="Atom feed">Atom feed</a></li>
</ul>

<?php /* AdSense Code Start */ ?><?php include("first-adsense-link.php"); ?><?php /* AdSense Code End */ ?>
</div>

</div>


<?php endif; ?>

</div>

</div>

<?php get_sidebar(); ?>

<?php get_leftbar(); ?>

<?php get_footer(); ?>