<?php
/*
File Name: Wordpress Theme Toolkit
Version: 1.0
Author: Ozh
Author URI: http://planetOzh.com/
*/

include(dirname(__FILE__).'/themetoolkit.php');

themetoolkit(
'mytalian',
array(
'adsenseonoff' => 'AdSense On/Off {radio|1|AdSense ON|0|AdSense OFF} ##',
'gadsensepub' => 'AdSense Publisher ID ## Add Your Google Adsense Publisher ID.<h3>Additional AdSense Settings</h3>',
'adfloat1' => 'Main AdSense Ad Float {radio|float:right; padding-bottom:6px; padding-left:4px;|Float Right|float:left; padding-bottom:6px; padding-right:4px;|Float Left} ## Float the main AdSense ad to the left or right<br /><br />',
'gadUIfeature' => 'AdSense Rounded Corners {radio|0|square corners|6|slightly rounded|10|very rounded} ## Choose the AdSense border corner type<br /><br />',
'altads' => 'Alternate AdSense Ad URL ## URL to your alternative ads page (leave blank if you dont have one).<br /><br />See <a href="http://www.webreference.com/html/reference/color/websafe.html" target="_blank"><strong>WebSafe Colour Codes</strong></a> for the following settings.',
'gadGoogleborder' => 'AdSense Outer Border ## AdSense Outer border colour',
'gadGooglebg' => 'AdSense Background ## AdSense Background colour',
'gadGooglelink' => 'AdSense Anchor Text ## AdSense Colour of the anchor text of the underlined link at the top of an ad',
'gadGoogleurl' => 'AdSense URL ## Colour of the URL at the bottom of text ads',
'gadGoogletext' => 'AdSense Text ## Main text colour',
'ADChan1' => 'AdSense Channel 1 ## Content ad floating main content',
'ADChan2' => 'AdSense Channel 2 ## Content ad sidebar',
'ADChan3' => 'AdSense Channel 3 ## Content ad bottom content',
'ADChan4' => 'AdSense Channel 4 ## Link ad bottom of first post',
'ADChan5' => 'AdSense Channel 5 ## Link ad sidebar',
'ADChan6' => 'AdSense Channel 6 ## Link ad above banner image<h3>General Talian Options</h3>',
'themecolor' => 'Theme Colour {radio|original|Original|blue|Blue|blue-orange|Blue Orange|brown|Brown|green|Green|grey|Grey|red|Red|yellow|Yellow} ## Choose a theme colour.<br /><br />',
'bannerson' => 'Banners On/Off {radio|1|Banners ON|0|Banners OFF} ## Turn banners on or off.<br /><br />',
'bannerset' => 'Banner Set {radio|original|Original|arty|Arty|birds|Birds|chocolate|Chocolate|exercise|Exercise|fun|Fun|insects|Insects|money|Money|night|Night|plants|Plants|custom|Custom} ## Choose a banner set.<br /><br />',
'bannersize' => 'Banner Set Size ## When using the custom setting above or when adding new images to a set type in the number of banners youve added to the /custom/ folder (see readme files)',
'navmenuon' => 'Navigation Menu On/Off {radio|1|Navigation Menu ON|0|Navigation Menu OFF} ## Turn the navigation menu on/off. If you have a LOG of blog Pages might be easier to turn this off than using the exclude option below.<br /><br />',
'dateson' => 'Dates On/Off {radio|1|Dates ON|0|Dates OFF} ## Turn post dates on or off. Useful for non-blog like sites.<br /><br />',
'authorlinkon' => 'Comment Author Links On/Off {radio|1|Author Links ON|0|Author Links OFF} ## Turn the ability for your commenters to add a backlink to their site when adding a comment on or off. This setting stops author links from being ADDED.<br /><br />',
'authorlinkshowon' => 'Show Comment Author Links On/Off {radio|1|Show Author Links ON|0|Show Author Links OFF} ## Want to hide your commenters author links select Show Author Links OFF. This setting stops author links from being SHOWN.<br /><br />',
'talianlink' => 'Talian Backlink On/Off {radio|1|Backlink ON|0|Backlink OFF} ## Turn the "powered by <a href="http://stallion-theme.co.uk/talian-adsense-ready-wordpress-theme/">Talian 5.5</a>" footer backlink on or off.',
#'debug' => 'debug',
	),
	__FILE__
);

function adsenseonoff() {
global $mytalian;
return $mytalian->option['adsenseonoff'];
}

function gadsensepub() {
global $mytalian;
return $mytalian->option['gadsensepub'];
}

function gadGoogleborder() {
global $mytalian;
return $mytalian->option['gadGoogleborder'];
}

function gadGooglebg() {
global $mytalian;
return $mytalian->option['gadGooglebg'];
}

function gadGooglelink() {
global $mytalian;
return $mytalian->option['gadGooglelink'];
}

function gadGoogleurl() {
global $mytalian;
return $mytalian->option['gadGoogleurl'];
}

function gadGoogletext() {
global $mytalian;
return $mytalian->option['gadGoogletext'];
}

function gadUIfeature() {
global $mytalian;
return $mytalian->option['gadUIfeature'];
}

function adfloat1() {
global $mytalian;
return $mytalian->option['adfloat1'];
}

function altads() {
global $mytalian;
return $mytalian->option['altads'];
}

function ADChan1() {
global $mytalian;
return $mytalian->option['ADChan1'];
}

function ADChan2() {
global $mytalian;
return $mytalian->option['ADChan2'];
}

function ADChan3() {
global $mytalian;
return $mytalian->option['ADChan3'];
}

function ADChan4() {
global $mytalian;
return $mytalian->option['ADChan4'];
}

function ADChan5() {
global $mytalian;
return $mytalian->option['ADChan5'];
}

function ADChan6() {
global $mytalian;
return $mytalian->option['ADChan6'];
}

function themecolor() {
global $mytalian;
return $mytalian->option['themecolor'];
}

function bannerson() {
global $mytalian;
return $mytalian->option['bannerson'];
}

function bannerset() {
global $mytalian;
return $mytalian->option['bannerset'];
}

function bannersize() {
global $mytalian;
return $mytalian->option['bannersize'];
}

function talianlink() {
global $mytalian;
return $mytalian->option['talianlink'];
}

function navmenuon() {
global $mytalian;
return $mytalian->option['navmenuon'];
}

function dateson() {
global $mytalian;
return $mytalian->option['dateson'];
}

function authorlinkon() {
global $mytalian;
return $mytalian->option['authorlinkon'];
}

function authorlinkshowon() {
global $mytalian;
return $mytalian->option['authorlinkshowon'];
}

if (!$mytalian->is_installed()) { 
$set_defaults['adsenseonoff'] = '1';
$set_defaults['gadsensepub'] = 'pub-8325072546567078'; 
$set_defaults['gadGoogleborder'] = 'FFFFFF';
$set_defaults['gadGooglebg'] = 'FFFFFF';
$set_defaults['gadGooglelink'] = '000000';
$set_defaults['gadGoogleurl'] = '4D4D4D';
$set_defaults['gadGoogletext'] = '4D4D4D';
$set_defaults['gadUIfeature'] = '0';
$set_defaults['adfloat1'] = 'float:right; padding-bottom:6px; padding-left:4px;';
$set_defaults['themecolor'] = 'original';
$set_defaults['bannerson'] = '1';
$set_defaults['bannerset'] = 'original';
$set_defaults['bannersize'] = '10';
$set_defaults['talianlink'] = '1';
$set_defaults['navmenuon'] = '1';
$set_defaults['dateson'] = '0';
$set_defaults['authorlinkon'] = '1';
$set_defaults['authorlinkshowon'] = '1';
$result = $mytalian->store_options($set_defaults); 
} 
?>